Subject: Re: requested feature, unless I'm missing something (fwd)

From: "Eduardo Chappa L." <[email-masked]>
Date: Tue, 7 Dec 1999 14:10:07 -0800 (PST)

I am forwarding this followup of an e-mail sent by Robert Larmon earlier
today.

Eduardo
http://www.math.washington.edu/~chappa/personal.html

> 
> :) [Attachment Options]
> :) 
> :) [ ] enable-local-attachments (for PC-Pine only?)
> :) [ ] enable-remote-attachments
> :) [ ] search-all-attachment-folders
> :) [ ] enable-copy-to-local-then-delete (again for PC-Pine only? for someone
> :) 				who uses both - which is half my users)
> :) 
> :) 	Delete from remote after  (this I guess could tie in to the
> :) 					monthly sent-mail check?)
> :) 	[ ] 1 week	[ ] 2 weeks	[ ] 1 month
> :) 
> I do not have clear what all these feature mean by just reading their
> names, maybe you would have liked to have explained what each one does and
> how they all work together.

When I say 'local', I mean, for PC-Pine.  Basically, I was thinking of
something that would work for both Pine and PC-Pine, since my users use
both.  If you enable-local-attachments, it would create or add to a
directory called c:\pine\attachments, or (in my mind, a better place)
c:\my documents\attachments (see below for more comments on this).

The reason I put 'enable-local...' and 'enable-remote...' is that PC-Pine
has some features that Pine doesn't have, and I thought a logical
separation might be necessary.

The 'search-all-attach...' feature might search both local and remote
systems when you want to search for an attachment that you are looking
for.  (Sort of like a customized Windows search combined with a Unix
search of just the user's directories and the results displayed in the
same window)

The '...copy-then-delete...' would have PC-Pine automatically check the
remote ~/attach directory, maybe after a set time limit that can be
changed in .pinerc.  If there are files on ~/attach meeting the criteria,
then it would copy the files to c:\my documents\attachments automatically,
thus saving the user from having to manually copy the files over and
saving server space.

In addition, the 'delete from remote...' might tie in with the monthly
sent-mail check, asking the user if they want to move the files to their
hard drive in order to save space.  Or, I was just thinking, you could
also have it check the attach directory size (greater than x megabytes,
the x settable by .pinerc), and then ask if it qualifies.

I was also thinking of having c:\my documents\attachments used as a
central repository for attaching/storing attachments.  What do you
think?  When you have 30 different apps saving to 30 different places,
it's nice to have one directory structure.  It's also great for backups,
when you don't want to backup system/app files when you're just trying to
backup user files instead of the whole hard drive.

If you think this would benefit the list, please forward it to them.

Also, sorry for not fully communicating my thoughts on the options.  I had
it all in my mind and got lazy :)

Robert

```````````````````````````````````````````````````````````````````````
`			Robert Larmon				      `
`			PC Systems Analyst			      `
`			USC Law School Computing Services	      `
`			[email-masked]			      `
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''